aim4.driver.coordinator

## Class VelocityFirstArrivalEstimation

- java.lang.Object
- - aim4.driver.coordinator.VelocityFirstArrivalEstimation

-     public class VelocityFirstArrivalEstimation
      extends Object

  This class provides functions to solve the optimization problem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityFirstArrivalEstimation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrivalEstimationResult` | `estimate(double time1, double v1, double dTotal, double vTop, double vEndMax, double accel, double decel)` Compute the acceleration schedule and the arrival parameters at the intersection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityFirstArrivalEstimation

          public VelocityFirstArrivalEstimation()

  - ### Method Detail

    - #### estimate

          public static ArrivalEstimationResult estimate(double time1,
                                         double v1,
                                         double dTotal,
                                         double vTop,
                                         double vEndMax,
                                         double accel,
                                         double decel)
                                                  throws ArrivalEstimationException

      Compute the acceleration schedule and the arrival parameters at the intersection.
      Parameters:
        `time1` - the initial time
        `v1` - the initial velocity
        `dTotal` - the distance between the vehicle and the intersection
        `vTop` - the speed limit of the road
        `vEndMax` - the speed limit at the intersection
        `accel` - the maximum acceleration
        `decel` - the maximum deceleration
      Returns:
        the acceleration schedule and estimated arrival parameters at the intersection; null if there is no solution
      Throws:
        `if` - the algorithm returns no solution.
        `ArrivalEstimationException`

Copyright © 2013. All rights reserved.